#!/usr/bin/env bash

set -e

# Install Java to run Minecraft Servers

shopt -s dotglob
[ "${DEBUG:-}" == 'true' ] && set -x

main ()
{
    if [[ $EUID -ne 0 ]]; then
       echo "Please run script as root" >> /dev/stderr
       exit 1
    fi

    if [ ! -f ./mcrun.sh ]; then
        curl -O http://files.gameap.ru/minecraft/minecraft-runner.tar.gz
        tar -xvf minecraft-runner.tar.gz
    fi

    ./mcrun.sh install
}

main